import { createAction, props } from '@ngrx/store';

import {
  VersionInfo2Request,
  VersionInfo2Response
} from '@ucap-webmessenger/api-public';

export const versionInfo2 = createAction(
  '[Setting::VersionInfo] VersionInfo2',
  props<VersionInfo2Request>()
);

export const versionInfo2Success = createAction(
  '[Setting::VersionInfo] VersionInfo2 Success',
  props<{ res: VersionInfo2Response }>()
);

export const versionInfo2Failure = createAction(
  '[Setting::VersionInfo] VersionInfo2 Failure',
  props<{ error: any }>()
);
